| PUT | /RestApi/sitefinity/related-data/relations |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ItemId | body | string | No | |
| ItemType | body | string | No | |
| ItemProvider | body | string | No | |
| RelationChanges | body | ContentLinkChange[] | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| State | form | ContentLinkChangeState | No | |
| ChildItemId | form | Guid | No | |
| ChildItemProviderName | form | string | No | |
| ChildItemType | form | string | No | |
| ChildItemAdditionalInfo | form | string | No | |
| Ordinal | form | float? | No | |
| ComponentPropertyName | form | string | No |
| Added | |
| Removed | |
| Updated |
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/sitefinity/related-data/relations HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length
{"ItemId":"String","ItemType":"String","ItemProvider":"String","RelationChanges":[{"State":"Added","ChildItemProviderName":"String","ChildItemType":"String","ChildItemAdditionalInfo":"String","Ordinal":0,"ComponentPropertyName":"String","IsChildDeleted":false}]}